Scripting C# Version

>>>Scripting C# Version

EPLAN verwendet aktuell (2.7) das .NET Framework 4.5.2
Somit würde uns mindestens C# Version 5 beim Programmieren zur Verfügung stehen (abhängig vom Client Rechner). In der EPLAN API geht das auch…

Leider verwendet EPLAN beim Laden von Scripten den CodeDomProvider  welcher nur C# Version 4 kann.
Somit könnte man im Visual Studio Projekt was programmieren, was keine Fehler verursacht, aber in EPLAN schon…

Stellt die Projekteinstellungen vom Visual Studio Projekt um: Projekt > Eigenschaften > Build > Erweitert... > Sprachversion > C# 4

Ich habe es dem Support gemeldet. Problem wurde erkannt, aber bis wann es umgesetzt wird, kann ich leider nicht sagen.

By |2018-11-30T16:16:53+00:002018-12-10|EPLAN, EPLAN-Scripts|